## cadvisor 0.19.3+dfsg

=== Makefile ===
# Copyright 2015 Google Inc. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and

GO := godep go
pkgs  = $(shell $(GO) list ./...)

all: format build test

test:
	@echo ">> running tests"
	@$(GO) test -short $(pkgs)

format:
	@echo ">> formatting code"
	@$(GO) fmt $(pkgs)

vet:
	@echo ">> vetting code"
	@$(GO) vet $(pkgs)

build:
	@echo ">> building binaries"
	@./build/build.sh

release: build
	@./build/release.sh

docker:
	@docker build -t cadvisor:$(shell git rev-parse --short HEAD) -f deploy/Dockerfile .

.PHONY: all format build test vet docker

=== debian/changelog ===
cadvisor (0.19.3+dfsg-3) unstable; urgency=medium

  * Swap Build-Depends alternative for "golang-objx-dev" (Closes: #805184).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 16 Nov 2015 09:58:46 +1100

cadvisor (0.19.3+dfsg-2) unstable; urgency=medium

  * Swap Build-Depends alternative for "golang-glog-dev" (Closes: #805184).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 16 Nov 2015 09:16:01 +1100

cadvisor (0.19.3+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #797988).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 10 Nov 2015 18:17:27 +1100

=== debian/control ===
Source: cadvisor
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-systemd,
               dh-golang,
               golang-go,
    golang-dbus-dev,
    golang-gocapability-dev,
    golang-google-api-dev | golang-googlecode-p-google-api-go-client-dev,
    golang-google-cloud-compute-metadata-dev,
    golang-prometheus-client-dev,
      golang-procfs-dev,
    golang-protobuf-extensions-dev,
    golang-github-abbot-go-http-auth-dev,
    golang-github-beorn7-perks-dev,
    golang-github-coreos-go-systemd-dev,
    golang-github-docker-docker-dev,
    golang-github-fsouza-go-dockerclient-dev,
    golang-github-garyburd-redigo-dev,
    golang-glog-dev | golang-github-golang-glog-dev,
    golang-goprotobuf-dev | golang-github-golang-goprotobuf-dev,
    golang-github-golang-mock-dev,
    golang-pretty-dev | golang-github-kr-pretty-dev,
    golang-text-dev | golang-github-kr-text-dev,
    golang-github-seandolphin-bqschema-dev,
    golang-github-sirupsen-logrus-dev | golang-logrus-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
    golang-objx-dev | golang-github-stretchr-objx-dev,
    golang-golang-x-exp-dev,
    golang-golang-x-net-dev,
    golang-golang-x-oauth2-dev,
    golang-gopkg-olivere-elastic.v2-dev,
## Bundled:
    influxdb-dev | golang-github-influxdb-influxdb-dev,
# Pending:
# Not packaged:
## Un-bundled:
    libjs-bootstrap,
    libjs-jquery (>= 1.11.3),
Standards-Version: 3.9.6
Homepage: https://github.com/google/cadvisor
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/cadvisor.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/cadvisor.git

Package: golang-github-google-cadvisor-dev
Architecture: all
Depends: ${misc:Depends},
         golang-go,
    golang-docker-dev,
    golang-dbus-dev,
    golang-gocapability-dev,
    golang-google-api-dev | golang-googlecode-p-google-api-go-client-dev,
    golang-github-beorn7-perks-dev,
    golang-google-cloud-compute-metadata-dev,
    golang-github-coreos-go-systemd-dev,
    golang-prometheus-client-dev,
      golang-procfs-dev,
    golang-protobuf-extensions-dev,
    golang-github-abbot-go-http-auth-dev,
    golang-github-fsouza-go-dockerclient-dev,
    golang-github-garyburd-redigo-dev,
    golang-glog-dev | golang-github-golang-glog-dev,
    golang-goprotobuf-dev | golang-github-golang-goprotobuf-dev,
    golang-github-golang-mock-dev,
    golang-pretty-dev | golang-github-kr-pretty-dev,
    golang-text-dev | golang-github-kr-text-dev,
    golang-github-seandolphin-bqschema-dev,
    golang-github-sirupsen-logrus-dev | golang-logrus-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
    golang-objx-dev | golang-github-stretchr-objx-dev,
    golang-golang-x-exp-dev,
    golang-golang-x-net-dev,
    golang-golang-x-oauth2-dev,
    golang-gopkg-olivere-elastic.v2-dev,
    influxdb-dev | golang-github-influxdb-influxdb-dev,
Description: analyze resource usage and performance of running containers
 cAdvisor (Container Advisor) provides container users an understanding of
 the resource usage and performance characteristics of their running
 containers.
 .
 cAdvisor has native support for Docker containers and should support just
 about any other container type out of the box.
 .
 cAdvisor also exposes container stats as Prometheus (http://prometheus.io)
 metrics.
 .
 This package provides golang library sources.

Package: cadvisor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${misc:Built-Using} ${my:Built-Using}
Description: analyze resource usage and performance characteristics of running containers
 cAdvisor (Container Advisor) provides container users an understanding of
 the resource usage and performance characteristics of their running
 containers.
 .
 cAdvisor has native support for Docker containers and should support just
 about any other container type out of the box.
 .
 cAdvisor also exposes container stats as Prometheus (http://prometheus.io)
 metrics.
 .
 This package provides daemon that collects, aggregates, processes, and
 exports information about running containers. Specifically, for each
 container it keeps resource isolation parameters, historical resource
 usage, histograms of complete historical resource usage and network
 statistics. This data is exported by container and machine-wide.

## cadvisor 0.20.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,10 @@
 
 test:
 	@echo ">> running tests"
-	@$(GO) test -short $(pkgs)
+	@$(GO) test -short -race $(pkgs)
+
+test-integration: test
+	@./build/integration.sh
 
 format:
 	@echo ">> formatting code"

=== debian/changelog ===
cadvisor (0.20.5+dfsg-1) unstable; urgency=medium

  * New upstream release [January 2016].
  * Build-Depends:
    + golang-github-pborman-uuid-dev
    + golang-github-vishvananda-netlink-dev
    - influxdb-dev | golang-github-influxdb-influxdb-dev
    + golang-github-influxdb-influxdb-dev (>= 0.10.0~)
  * Removed obsolete "runc.patch".
  * Standards-Version: 3.9.7.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 04 Mar 2016 00:39:00 +1100

=== debian/control ===
--- 
+++ 
@@ -28,18 +28,20 @@
     golang-github-sirupsen-logrus-dev | golang-logrus-dev,
     golang-github-stretchr-testify-dev | golang-testify-dev,
     golang-objx-dev | golang-github-stretchr-objx-dev,
+    golang-github-vishvananda-netlink-dev,
+    golang-github-pborman-uuid-dev,
     golang-golang-x-exp-dev,
     golang-golang-x-net-dev,
     golang-golang-x-oauth2-dev,
     golang-gopkg-olivere-elastic.v2-dev,
 ## Bundled:
-    influxdb-dev | golang-github-influxdb-influxdb-dev,
+    golang-github-influxdb-influxdb-dev (>= 0.10.0~),
 # Pending:
 # Not packaged:
 ## Un-bundled:
     libjs-bootstrap,
     libjs-jquery (>= 1.11.3),
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/google/cadvisor
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/cadvisor.git
 Vcs-Git: git://anonscm.debian.org/pkg-go/packages/cadvisor.git
@@ -74,7 +76,7 @@
     golang-golang-x-net-dev,
     golang-golang-x-oauth2-dev,
     golang-gopkg-olivere-elastic.v2-dev,
-    influxdb-dev | golang-github-influxdb-influxdb-dev,
+    golang-github-influxdb-influxdb-dev (>= 0.10.0~),
 Description: analyze resource usage and performance of running containers
  cAdvisor (Container Advisor) provides container users an understanding of
  the resource usage and performance characteristics of their running

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOPKG := github.com/google/cadvisor

%:
	dh $@ --buildsystem=golang --with=golang,systemd --builddirectory=_build

STATIC_PAGES = \
    pages/static/jquery_min_js.go  \
    pages/static/bootstrap_min_js.go  \
    pages/static/bootstrap_min_css.go    \
    pages/static/bootstrap_theme_min_css.go \

override_dh_clean:
	dh_clean $(STATIC_PAGES)
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`

override_dh_auto_configure: $(STATIC_PAGES)
	mkdir -p _build && cp -r Godeps/_workspace/src _build/
	dh_auto_configure -v

override_dh_auto_test:
	## Tests want `sudo`, disable tests:
	@

override_dh_gencontrol:
	dh_gencontrol -- -Vmy:Built-Using="$(foreach pkg,libjs-jquery,$(word 2,$(shell dpkg --status $(pkg) | grep Source)) (=$(word 2,$(shell dpkg --status $(pkg) | grep Version))),)"

override_dh_auto_install:
	dh_auto_install
	## executable-not-elf-or-script:
	chmod -c -R -x+X $(CURDIR)/debian/tmp/usr/share/gocode/src/$(DH_GOPKG)

## STATIC_PAGES: https://github.com/google/cadvisor/issues/879
pages/static/bootstrap_min_css.go:
	printf "package static\n\n" > $@
	printf "const bootstrapCss = \`\n" >>$@
	cat debian/missing-sources/bootstrap.css >>$@
	#cat /usr/share/javascript/bootstrap/css/bootstrap.css >>$@
	printf "\`\n" >>$@

pages/static/bootstrap_theme_min_css.go:
	printf "package static\n\n" > $@
	printf "const bootstrapThemeCss = \`\n" >>$@
	cat debian/missing-sources/bootstrap-theme.css >>$@
	#cat /usr/share/javascript/bootstrap/css/bootstrap-theme.css >>$@
	printf "\`\n" >>$@

pages/static/bootstrap_min_js.go:
	printf "package static\n\n" > $@
	printf "const bootstrapJs = \`\n" >>$@
	cat debian/missing-sources/bootstrap.min.js >>$@
	#cat /usr/share/javascript/bootstrap/js/bootstrap.min.js >>$@
	printf "\`\n" >>$@

pages/static/jquery_min_js.go:
	printf "package static\n\n" > $@
	printf "const jqueryJs = \`\n" >>$@
	cat /usr/share/javascript/jquery/jquery.min.js >>$@
	printf "\`\n" >>$@

=== debian/watch ===
# uscan(1) configuration file.
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
 https://github.com/google/cadvisor/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz

## cadvisor 0.23.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 
 test:
 	@echo ">> running tests"
-	@$(GO) test -short -race $(pkgs)
+	@$(GO) test -tags test -short -race $(pkgs)
 
-test-integration: test
+test-integration: build test
 	@./build/integration.sh
 
 format:

=== debian/changelog ===
cadvisor (0.23.0+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
  * Build-Depends:
    + golang-github-coreos-rkt-dev
    + golang-google-grpc-dev
  * Switched to system "fsouza/go-dockerclient";
    Removed obsolete "depends-go-dockerclient.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 23 Apr 2016 12:21:11 +1000

cadvisor (0.22.2+dfsg-1) unstable; urgency=medium

  * New upstream release [March 2016].
  * Build-Depends:
    + golang-github-aws-aws-sdk-go-dev (>= 1.0.7~)
    + golang-github-docker-go-units-dev
    + golang-gopkg-eapache-go-resiliency.v1-dev
    + golang-gopkg-eapache-queue.v1-dev
    + golang-github-go-ini-ini-dev
    + golang-github-golang-snappy-dev
    + golang-github-jmespath-go-jmespath-dev
    + golang-github-klauspost-crc32-dev
    + golang-github-seccomp-libseccomp-golang-dev
    + golang-github-shopify-sarama-dev
  * New "depends-go-dockerclient.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 26 Mar 2016 00:20:33 +1100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
     golang-dbus-dev,
     golang-gocapability-dev,
     golang-google-api-dev | golang-googlecode-p-google-api-go-client-dev,
+    golang-github-aws-aws-sdk-go-dev (>= 1.0.7~),
     golang-google-cloud-compute-metadata-dev,
     golang-prometheus-client-dev,
       golang-procfs-dev,
@@ -16,15 +17,26 @@
     golang-github-abbot-go-http-auth-dev,
     golang-github-beorn7-perks-dev,
     golang-github-coreos-go-systemd-dev,
+    golang-github-coreos-rkt-dev,
     golang-github-docker-docker-dev,
-    golang-github-fsouza-go-dockerclient-dev,
+    golang-github-docker-go-units-dev,
+    golang-gopkg-eapache-go-resiliency.v1-dev,
+    golang-gopkg-eapache-queue.v1-dev,
+    golang-github-fsouza-go-dockerclient-dev (>= 0.0+git20160316~),
     golang-github-garyburd-redigo-dev,
     golang-glog-dev | golang-github-golang-glog-dev,
     golang-goprotobuf-dev | golang-github-golang-goprotobuf-dev,
     golang-github-golang-mock-dev,
+    golang-github-golang-snappy-dev,
+    golang-github-go-ini-ini-dev,
+    golang-github-influxdb-influxdb-dev (>= 0.10.0~),
+    golang-github-jmespath-go-jmespath-dev,
+    golang-github-klauspost-crc32-dev,
     golang-pretty-dev | golang-github-kr-pretty-dev,
     golang-text-dev | golang-github-kr-text-dev,
     golang-github-seandolphin-bqschema-dev,
+    golang-github-seccomp-libseccomp-golang-dev,
+    golang-github-shopify-sarama-dev,
     golang-github-sirupsen-logrus-dev | golang-logrus-dev,
     golang-github-stretchr-testify-dev | golang-testify-dev,
     golang-objx-dev | golang-github-stretchr-objx-dev,
@@ -34,10 +46,7 @@
     golang-golang-x-net-dev,
     golang-golang-x-oauth2-dev,
     golang-gopkg-olivere-elastic.v2-dev,
-## Bundled:
-    golang-github-influxdb-influxdb-dev (>= 0.10.0~),
-# Pending:
-# Not packaged:
+    golang-google-grpc-dev,
 ## Un-bundled:
     libjs-bootstrap,
     libjs-jquery (>= 1.11.3),
@@ -50,25 +59,37 @@
 Architecture: all
 Depends: ${misc:Depends},
          golang-go,
-    golang-docker-dev,
     golang-dbus-dev,
     golang-gocapability-dev,
     golang-google-api-dev | golang-googlecode-p-google-api-go-client-dev,
+    golang-github-aws-aws-sdk-go-dev (>= 1.0.7~),
     golang-github-beorn7-perks-dev,
     golang-google-cloud-compute-metadata-dev,
     golang-github-coreos-go-systemd-dev,
+    golang-github-coreos-rkt-dev,
     golang-prometheus-client-dev,
       golang-procfs-dev,
     golang-protobuf-extensions-dev,
     golang-github-abbot-go-http-auth-dev,
+    golang-github-docker-docker-dev,
+    golang-github-docker-go-units-dev,
+    golang-gopkg-eapache-go-resiliency.v1-dev,
+    golang-gopkg-eapache-queue.v1-dev,
     golang-github-fsouza-go-dockerclient-dev,
     golang-github-garyburd-redigo-dev,
     golang-glog-dev | golang-github-golang-glog-dev,
     golang-goprotobuf-dev | golang-github-golang-goprotobuf-dev,
     golang-github-golang-mock-dev,
+    golang-github-golang-snappy-dev,
+    golang-github-go-ini-ini-dev,
+    golang-github-influxdb-influxdb-dev (>= 0.10.0~),
+    golang-github-jmespath-go-jmespath-dev,
+    golang-github-klauspost-crc32-dev,
     golang-pretty-dev | golang-github-kr-pretty-dev,
     golang-text-dev | golang-github-kr-text-dev,
     golang-github-seandolphin-bqschema-dev,
+    golang-github-seccomp-libseccomp-golang-dev,
+    golang-github-shopify-sarama-dev,
     golang-github-sirupsen-logrus-dev | golang-logrus-dev,
     golang-github-stretchr-testify-dev | golang-testify-dev,
     golang-objx-dev | golang-github-stretchr-objx-dev,
@@ -76,7 +97,7 @@
     golang-golang-x-net-dev,
     golang-golang-x-oauth2-dev,
     golang-gopkg-olivere-elastic.v2-dev,
-    golang-github-influxdb-influxdb-dev (>= 0.10.0~),
+    golang-google-grpc-dev,
 Description: analyze resource usage and performance of running containers
  cAdvisor (Container Advisor) provides container users an understanding of
  the resource usage and performance characteristics of their running

## cadvisor 0.25.0+dfsg

=== debian/changelog ===
cadvisor (0.25.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright attributes after devendoring B-Ds
  * Fix various Lintian warnings: spelling-error-in-binary, add
    secure URI for Vcs-Git field.

 -- Tim Potter <tpot@hpe.com>  Wed, 05 Apr 2017 10:03:51 +1000

cadvisor (0.24.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depends:
      + golang-github-docker-distribution-dev
      + golang-github-docker-engine-api-dev
      + golang-github-mrunalp-fileutils-dev
      + golang-go-zfs-dev
      + golang-github-coreos-pkg-dev
      + golang-github-blang-semver-dev,
      + golang-github-docker-go-connections-dev
  * Remove no longer needed dh_override_gencontrol target.
  * Update d/rules and d/control after move from Godeps to vendor
    subdirectory for vendored files.
  * Regenerate proto files on each rebuild.
  * Devendor bootstrap, gcharts and jquery libraries.
  * Create embedded assets on build to remove non-free JS.

 -- Tim Potter <tpot@hpe.com>  Fri, 24 Feb 2017 08:53:24 +1100

cadvisor (0.23.0+dfsg-2) unstable; urgency=medium

  [ Tim Potter ]
  * Add patch to build against InfluxDB/InfluxData v0.12
  * Standards-Version: 3.9.8

  [ Dmitry Smirnov ]
  * (Build-)Depends:
    = golang-github-influxdb-influxdb-dev (>= 0.12.0~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 15 May 2016 19:25:37 +1000

## cadvisor 0.27.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -11,17 +11,20 @@
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 
-GO := godep go
-pkgs  = $(shell $(GO) list ./...)
+GO := go
+pkgs  = $(shell $(GO) list ./... | grep -v vendor)
 
-all: format build test
+all: presubmit build test
 
 test:
 	@echo ">> running tests"
-	@$(GO) test -tags test -short -race $(pkgs)
+	@$(GO) test -short -race $(pkgs)
 
-test-integration: build test
+test-integration:
 	@./build/integration.sh
+
+test-runner:
+	@$(GO) build github.com/google/cadvisor/integration/runner
 
 format:
 	@echo ">> formatting code"
@@ -31,14 +34,25 @@
 	@echo ">> vetting code"
 	@$(GO) vet $(pkgs)
 
-build:
+build: assets
 	@echo ">> building binaries"
 	@./build/build.sh
 
-release: build
+assets:
+	@echo ">> building assets"
+	@./build/assets.sh
+
+release:
+	@echo ">> building release binaries"
 	@./build/release.sh
 
 docker:
 	@docker build -t cadvisor:$(shell git rev-parse --short HEAD) -f deploy/Dockerfile .
 
-.PHONY: all format build test vet docker
+presubmit: vet
+	@echo ">> checking go formatting"
+	@./build/check_gofmt.sh
+	@echo ">> checking file boilerplate"
+	@./build/check_boilerplate.sh
+
+.PHONY: all build docker format release test test-integration vet presubmit

=== debian/changelog ===
cadvisor (0.27.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 06 Oct 2017 09:54:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,25 @@
 Section: devel
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9), dh-systemd,
-               dh-golang,
-               golang-go,
+    dh-golang,
+    go-bindata,
+    golang-go,
     golang-dbus-dev,
     golang-gocapability-dev,
     golang-google-api-dev | golang-googlecode-p-google-api-go-client-dev,
     golang-github-aws-aws-sdk-go-dev (>= 1.0.7~),
     golang-google-cloud-compute-metadata-dev,
     golang-prometheus-client-dev,
-      golang-procfs-dev,
+    golang-procfs-dev,
     golang-protobuf-extensions-dev,
     golang-github-abbot-go-http-auth-dev,
     golang-github-beorn7-perks-dev,
     golang-github-coreos-go-systemd-dev,
-    golang-github-coreos-rkt-dev,
+    golang-github-docker-distribution-dev,
     golang-github-docker-docker-dev,
+    golang-github-docker-engine-api-dev,
     golang-github-docker-go-units-dev,
     golang-gopkg-eapache-go-resiliency.v1-dev,
     golang-gopkg-eapache-queue.v1-dev,
@@ -29,9 +31,10 @@
     golang-github-golang-mock-dev,
     golang-github-golang-snappy-dev,
     golang-github-go-ini-ini-dev,
-    golang-github-influxdb-influxdb-dev (>= 0.10.0~),
+    golang-github-influxdb-influxdb-dev (>= 0.12.0~),
     golang-github-jmespath-go-jmespath-dev,
     golang-github-klauspost-crc32-dev,
+    golang-github-mrunalp-fileutils-dev,
     golang-pretty-dev | golang-github-kr-pretty-dev,
     golang-text-dev | golang-github-kr-text-dev,
     golang-github-seandolphin-bqschema-dev,
@@ -47,28 +50,27 @@
     golang-golang-x-oauth2-dev,
     golang-gopkg-olivere-elastic.v2-dev,
     golang-google-grpc-dev,
-## Un-bundled:
-    libjs-bootstrap,
-    libjs-jquery (>= 1.11.3),
-Standards-Version: 3.9.7
+    golang-go-zfs-dev,
+    golang-github-coreos-pkg-dev,
+    golang-github-blang-semver-dev,
+    golang-github-docker-go-connections-dev,
+Standards-Version: 3.9.8
 Homepage: https://github.com/google/cadvisor
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/cadvisor.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/cadvisor.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/cadvisor.git
 
 Package: golang-github-google-cadvisor-dev
 Architecture: all
 Depends: ${misc:Depends},
-         golang-go,
+    golang-go,
     golang-dbus-dev,
     golang-gocapability-dev,
     golang-google-api-dev | golang-googlecode-p-google-api-go-client-dev,
     golang-github-aws-aws-sdk-go-dev (>= 1.0.7~),
     golang-github-beorn7-perks-dev,
-    golang-google-cloud-compute-metadata-dev,
     golang-github-coreos-go-systemd-dev,
-    golang-github-coreos-rkt-dev,
     golang-prometheus-client-dev,
-      golang-procfs-dev,
+    golang-procfs-dev,
     golang-protobuf-extensions-dev,
     golang-github-abbot-go-http-auth-dev,
     golang-github-docker-docker-dev,
@@ -82,9 +84,10 @@
     golang-github-golang-mock-dev,
     golang-github-golang-snappy-dev,
     golang-github-go-ini-ini-dev,
-    golang-github-influxdb-influxdb-dev (>= 0.10.0~),
+    golang-github-influxdb-influxdb-dev (>= 0.12.0~),
     golang-github-jmespath-go-jmespath-dev,
     golang-github-klauspost-crc32-dev,
+    golang-github-mrunalp-fileutils-dev,
     golang-pretty-dev | golang-github-kr-pretty-dev,
     golang-text-dev | golang-github-kr-text-dev,
     golang-github-seandolphin-bqschema-dev,
@@ -98,6 +101,10 @@
     golang-golang-x-oauth2-dev,
     golang-gopkg-olivere-elastic.v2-dev,
     golang-google-grpc-dev,
+    golang-go-zfs-dev,
+    golang-github-coreos-pkg-dev,
+    golang-github-blang-semver-dev,
+    golang-github-docker-go-connections-dev
 Description: analyze resource usage and performance of running containers
  cAdvisor (Container Advisor) provides container users an understanding of
  the resource usage and performance characteristics of their running
@@ -113,7 +120,7 @@
 
 Package: cadvisor
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, libjs-bootstrap, libjs-jquery (>= 1.11.3)
 Built-Using: ${misc:Built-Using} ${my:Built-Using}
 Description: analyze resource usage and performance characteristics of running containers
  cAdvisor (Container Advisor) provides container users an understanding of

=== debian/rules ===
--- 
+++ 
@@ -20,16 +20,24 @@
 	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
 	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
 
-override_dh_auto_configure: $(STATIC_PAGES)
-	mkdir -p _build && cp -r Godeps/_workspace/src _build/
-	dh_auto_configure -v
+override_dh_auto_configure:
+	build/assets.sh
+	mkdir _build
+	if [ -e vendor ]; then \
+	  cp -r vendor _build/; \
+	fi
+	dh_auto_configure
+
+override_dh_auto_build:
+	# Regenerate proto files for each build
+	(cd _build/src/github.com/google/cadvisor/vendor/github.com/coreos/rkt && \
+		protoc -I api/v1alpha api/v1alpha/*.proto --go_out=plugins=grpc:api/v1alpha)
+	# Perform regular build
+	dh_auto_build
 
 override_dh_auto_test:
 	## Tests want `sudo`, disable tests:
 	@
-
-override_dh_gencontrol:
-	dh_gencontrol -- -Vmy:Built-Using="$(foreach pkg,libjs-jquery,$(word 2,$(shell dpkg --status $(pkg) | grep Source)) (=$(word 2,$(shell dpkg --status $(pkg) | grep Version))),)"
 
 override_dh_auto_install:
 	dh_auto_install

## cadvisor 0.27.1+dfsg2

=== debian/changelog ===
cadvisor (0.27.1+dfsg2-4) unstable; urgency=medium

  * Team upload.
  * Build-Depends:
    - golang-github-docker-distribution-dev
    - golang-github-opencontainers-docker-runc-dev
    + golang-github-opencontainers-runc-dev (>= 1.0.0~)
    = golang-github-docker-docker-dev (>= 17.12.1~)
  * Testsuite: autopkgtest-pkg-go
  * control: added XS-Go-Import-Path.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 21 Jun 2018 09:34:53 +1000

cadvisor (0.27.1+dfsg2-3) unstable; urgency=medium

  * (Build-)Depends:
    = golang-github-docker-docker-dev (>= 1.13.1~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 09 Jun 2018 16:53:09 +1000

cadvisor (0.27.1+dfsg2-2) unstable; urgency=medium

  * Team upload.
  * Drop unused dependency: "golang-github-fsouza-go-dockerclient-dev"
  * Patch away obsolete/deprecated "golang-github-docker-engine-api-dev".
  * (Build-)Depends: removed transitional alternatives.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 09 Jun 2018 10:47:28 +1000

cadvisor (0.27.1+dfsg2-1) unstable; urgency=medium

  * Team upload.
  * Better un-vendoring; switch to "golang-github-rkt-rkt-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 02 May 2018 23:40:19 +1000

cadvisor (0.27.1+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * Un-vendor bundled libraries.
  * Use vendored "runc" and "runtime-spec" to fix FTBFS (Closes: #879489).
  * New patch to make the build reproducible (Closes: #877928).
    Thanks, Chris Lamb.
  * Standards-Version: 4.1.4
    + Priority: optional
  * debhelper & compat to version 11.
  * Start service after Docker (Closes: #886987).
    Thanks, Michal Humpula.
  * Removed myself from Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 29 Apr 2018 23:17:07 +1000

=== debian/control ===
--- 
+++ 
@@ -1,63 +1,69 @@
 Source: cadvisor
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
-Build-Depends: debhelper (>= 9), dh-systemd,
+Uploaders: Tim Potter <tpot@hpe.com>
+Build-Depends: debhelper (>= 11~),
     dh-golang,
     go-bindata,
     golang-go,
     golang-dbus-dev,
-    golang-gocapability-dev,
-    golang-google-api-dev | golang-googlecode-p-google-api-go-client-dev,
+    golang-github-abbot-go-http-auth-dev,
     golang-github-aws-aws-sdk-go-dev (>= 1.0.7~),
-    golang-google-cloud-compute-metadata-dev,
-    golang-prometheus-client-dev,
-    golang-procfs-dev,
-    golang-protobuf-extensions-dev,
-    golang-github-abbot-go-http-auth-dev,
     golang-github-beorn7-perks-dev,
+    golang-github-blang-semver-dev,
     golang-github-coreos-go-systemd-dev,
-    golang-github-docker-distribution-dev,
-    golang-github-docker-docker-dev,
-    golang-github-docker-engine-api-dev,
+    golang-github-coreos-pkg-dev,
+    golang-github-docker-docker-dev (>= 17.12.1~),
+    golang-github-docker-go-connections-dev,
     golang-github-docker-go-units-dev,
-    golang-gopkg-eapache-go-resiliency.v1-dev,
-    golang-gopkg-eapache-queue.v1-dev,
-    golang-github-fsouza-go-dockerclient-dev (>= 0.0+git20160316~),
     golang-github-garyburd-redigo-dev,
-    golang-glog-dev | golang-github-golang-glog-dev,
-    golang-goprotobuf-dev | golang-github-golang-goprotobuf-dev,
+    golang-github-go-ini-ini-dev,
     golang-github-golang-mock-dev,
     golang-github-golang-snappy-dev,
-    golang-github-go-ini-ini-dev,
     golang-github-influxdb-influxdb-dev (>= 0.12.0~),
     golang-github-jmespath-go-jmespath-dev,
     golang-github-klauspost-crc32-dev,
     golang-github-mrunalp-fileutils-dev,
-    golang-pretty-dev | golang-github-kr-pretty-dev,
-    golang-text-dev | golang-github-kr-text-dev,
+    golang-github-opencontainers-runc-dev (>= 1.0.0~),
+    golang-github-opencontainers-go-digest-dev,
+    golang-github-opencontainers-selinux-dev,
+    golang-github-pborman-uuid-dev,
+    golang-github-pkg-errors-dev,
+    golang-github-rkt-rkt-dev,
     golang-github-seandolphin-bqschema-dev,
     golang-github-seccomp-libseccomp-golang-dev,
     golang-github-shopify-sarama-dev,
-    golang-github-sirupsen-logrus-dev | golang-logrus-dev,
+    golang-github-sirupsen-logrus-dev (>= 1.0.2~),
     golang-github-stretchr-testify-dev | golang-testify-dev,
-    golang-objx-dev | golang-github-stretchr-objx-dev,
     golang-github-vishvananda-netlink-dev,
-    golang-github-pborman-uuid-dev,
+    golang-glog-dev | golang-github-golang-glog-dev,
+    golang-gocapability-dev,
+    golang-golang-x-crypto-dev,
     golang-golang-x-exp-dev,
     golang-golang-x-net-dev,
     golang-golang-x-oauth2-dev,
+    golang-golang-x-sys-dev,
+    golang-google-api-dev | golang-googlecode-p-google-api-go-client-dev,
+    golang-google-cloud-compute-metadata-dev,
+    golang-google-grpc-dev,
+    golang-gopkg-eapache-go-resiliency.v1-dev,
+    golang-gopkg-eapache-queue.v1-dev,
     golang-gopkg-olivere-elastic.v2-dev,
-    golang-google-grpc-dev,
+    golang-goprotobuf-dev | golang-github-golang-goprotobuf-dev,
     golang-go-zfs-dev,
-    golang-github-coreos-pkg-dev,
-    golang-github-blang-semver-dev,
-    golang-github-docker-go-connections-dev,
-Standards-Version: 3.9.8
+    golang-github-stretchr-objx-dev,
+    golang-github-kr-pretty-dev,
+    golang-procfs-dev,
+    golang-prometheus-client-dev,
+    golang-protobuf-extensions-dev,
+    golang-github-kr-text-dev,
+Standards-Version: 4.1.4
 Homepage: https://github.com/google/cadvisor
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/cadvisor.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/cadvisor.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/cadvisor
+Vcs-Git: https://salsa.debian.org/go-team/packages/cadvisor.git
+Testsuite: autopkgtest-pkg-go
+XS-Go-Import-Path: github.com/google/cadvisor
 
 Package: golang-github-google-cadvisor-dev
 Architecture: all
@@ -73,11 +79,10 @@
     golang-procfs-dev,
     golang-protobuf-extensions-dev,
     golang-github-abbot-go-http-auth-dev,
-    golang-github-docker-docker-dev,
+    golang-github-docker-docker-dev (>= 17.12.1~),
     golang-github-docker-go-units-dev,
     golang-gopkg-eapache-go-resiliency.v1-dev,
     golang-gopkg-eapache-queue.v1-dev,
-    golang-github-fsouza-go-dockerclient-dev,
     golang-github-garyburd-redigo-dev,
     golang-glog-dev | golang-github-golang-glog-dev,
     golang-goprotobuf-dev | golang-github-golang-goprotobuf-dev,
@@ -88,14 +93,14 @@
     golang-github-jmespath-go-jmespath-dev,
     golang-github-klauspost-crc32-dev,
     golang-github-mrunalp-fileutils-dev,
-    golang-pretty-dev | golang-github-kr-pretty-dev,
-    golang-text-dev | golang-github-kr-text-dev,
+    golang-github-kr-pretty-dev,
+    golang-github-kr-text-dev,
     golang-github-seandolphin-bqschema-dev,
     golang-github-seccomp-libseccomp-golang-dev,
     golang-github-shopify-sarama-dev,
     golang-github-sirupsen-logrus-dev | golang-logrus-dev,
     golang-github-stretchr-testify-dev | golang-testify-dev,
-    golang-objx-dev | golang-github-stretchr-objx-dev,
+    golang-github-stretchr-objx-dev,
     golang-golang-x-exp-dev,
     golang-golang-x-net-dev,
     golang-golang-x-oauth2-dev,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DH_GOPKG := github.com/google/cadvisor
 
 %:
-	dh $@ --buildsystem=golang --with=golang,systemd --builddirectory=_build
+	dh $@ --buildsystem=golang --with=golang --builddirectory=_build
 
 STATIC_PAGES = \
     pages/static/jquery_min_js.go  \
@@ -27,13 +27,6 @@
 	  cp -r vendor _build/; \
 	fi
 	dh_auto_configure
-
-override_dh_auto_build:
-	# Regenerate proto files for each build
-	(cd _build/src/github.com/google/cadvisor/vendor/github.com/coreos/rkt && \
-		protoc -I api/v1alpha api/v1alpha/*.proto --go_out=plugins=grpc:api/v1alpha)
-	# Perform regular build
-	dh_auto_build
 
 override_dh_auto_test:
 	## Tests want `sudo`, disable tests:

=== debian/watch ===
--- 
+++ 
@@ -6,3 +6,9 @@
 dversionmangle=s{\+dfsg\d*}{},\
  https://github.com/google/cadvisor/releases \
  .*/archive/v?(\d[\d\.]+)\.tar\.gz
+
+opts=\
+repacksuffix=+dfsg2,\
+dversionmangle=s{\+dfsg\d*}{},\
+ https://github.com/google/cadvisor/releases?after=v0.28.0 \
+ .*/archive/v?(\d[\d\.]+)\.tar\.gz

## cadvisor 0.34.0+dfsg

=== debian/changelog ===
cadvisor (0.34.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    + fixed FTBFS (Closes: #922394, #909032).
    + fixed "PercpuUsage had 0 cpus" (Closes: #903685).
  * golang-go --> golang-any
  * (Build-)Depends:
    + golang-github-containerd-console-dev
    + golang-github-davecgh-go-spew-dev
    + golang-github-mesos-mesos-go-dev (>= 0.0.6~)
    = golang-github-opencontainers-runc-dev (>= 1.0.0~rc9~)
  * cadvisor/Depends:
    + libjs-popper.js
    = libjs-jquery (>= 3.3.1~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 18 Oct 2019 01:43:02 +1100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,18 @@
 Build-Depends: debhelper (>= 11~),
     dh-golang,
     go-bindata,
-    golang-go,
+    golang-any,
     golang-dbus-dev,
     golang-github-abbot-go-http-auth-dev,
     golang-github-aws-aws-sdk-go-dev (>= 1.0.7~),
     golang-github-beorn7-perks-dev,
     golang-github-blang-semver-dev,
+    golang-github-containerd-console-dev,
     golang-github-coreos-go-systemd-dev,
     golang-github-coreos-pkg-dev,
+    golang-github-davecgh-go-spew-dev,
     golang-github-docker-docker-dev (>= 17.12.1~),
+#   | golang-github-containerd-containerd-dev,
     golang-github-docker-go-connections-dev,
     golang-github-docker-go-units-dev,
     golang-github-garyburd-redigo-dev,
@@ -24,9 +27,12 @@
     golang-github-influxdb-influxdb-dev (>= 0.12.0~),
     golang-github-jmespath-go-jmespath-dev,
     golang-github-klauspost-crc32-dev,
+    golang-github-kr-pretty-dev,
+    golang-github-kr-text-dev,
+    golang-github-mesos-mesos-go-dev (>= 0.0.6~),
     golang-github-mrunalp-fileutils-dev,
-    golang-github-opencontainers-runc-dev (>= 1.0.0~),
     golang-github-opencontainers-go-digest-dev,
+    golang-github-opencontainers-runc-dev (>= 1.0.0~rc9~),
     golang-github-opencontainers-selinux-dev,
     golang-github-pborman-uuid-dev,
     golang-github-pkg-errors-dev,
@@ -35,6 +41,7 @@
     golang-github-seccomp-libseccomp-golang-dev,
     golang-github-shopify-sarama-dev,
     golang-github-sirupsen-logrus-dev (>= 1.0.2~),
+    golang-github-stretchr-objx-dev,
     golang-github-stretchr-testify-dev | golang-testify-dev,
     golang-github-vishvananda-netlink-dev,
     golang-glog-dev | golang-github-golang-glog-dev,
@@ -52,12 +59,9 @@
     golang-gopkg-olivere-elastic.v2-dev,
     golang-goprotobuf-dev | golang-github-golang-goprotobuf-dev,
     golang-go-zfs-dev,
-    golang-github-stretchr-objx-dev,
-    golang-github-kr-pretty-dev,
     golang-procfs-dev,
     golang-prometheus-client-dev,
     golang-protobuf-extensions-dev,
-    golang-github-kr-text-dev,
 Standards-Version: 4.1.4
 Homepage: https://github.com/google/cadvisor
 Vcs-Browser: https://salsa.debian.org/go-team/packages/cadvisor
@@ -68,48 +72,50 @@
 Package: golang-github-google-cadvisor-dev
 Architecture: all
 Depends: ${misc:Depends},
-    golang-go,
     golang-dbus-dev,
-    golang-gocapability-dev,
-    golang-google-api-dev | golang-googlecode-p-google-api-go-client-dev,
+    golang-github-abbot-go-http-auth-dev,
     golang-github-aws-aws-sdk-go-dev (>= 1.0.7~),
     golang-github-beorn7-perks-dev,
+    golang-github-blang-semver-dev,
     golang-github-coreos-go-systemd-dev,
-    golang-prometheus-client-dev,
-    golang-procfs-dev,
-    golang-protobuf-extensions-dev,
-    golang-github-abbot-go-http-auth-dev,
+    golang-github-coreos-pkg-dev,
+    golang-github-davecgh-go-spew-dev,
     golang-github-docker-docker-dev (>= 17.12.1~),
+    golang-github-docker-go-connections-dev,
     golang-github-docker-go-units-dev,
-    golang-gopkg-eapache-go-resiliency.v1-dev,
-    golang-gopkg-eapache-queue.v1-dev,
     golang-github-garyburd-redigo-dev,
-    golang-glog-dev | golang-github-golang-glog-dev,
-    golang-goprotobuf-dev | golang-github-golang-goprotobuf-dev,
+    golang-github-go-ini-ini-dev,
     golang-github-golang-mock-dev,
     golang-github-golang-snappy-dev,
-    golang-github-go-ini-ini-dev,
     golang-github-influxdb-influxdb-dev (>= 0.12.0~),
     golang-github-jmespath-go-jmespath-dev,
     golang-github-klauspost-crc32-dev,
-    golang-github-mrunalp-fileutils-dev,
     golang-github-kr-pretty-dev,
     golang-github-kr-text-dev,
+    golang-github-mesos-mesos-go-dev (>= 0.0.6~),
+    golang-github-mrunalp-fileutils-dev,
+    golang-github-opencontainers-runc-dev (>= 1.0.0~rc9~),
     golang-github-seandolphin-bqschema-dev,
     golang-github-seccomp-libseccomp-golang-dev,
     golang-github-shopify-sarama-dev,
     golang-github-sirupsen-logrus-dev | golang-logrus-dev,
+    golang-github-stretchr-objx-dev,
     golang-github-stretchr-testify-dev | golang-testify-dev,
-    golang-github-stretchr-objx-dev,
+    golang-glog-dev | golang-github-golang-glog-dev,
+    golang-gocapability-dev,
     golang-golang-x-exp-dev,
     golang-golang-x-net-dev,
     golang-golang-x-oauth2-dev,
+    golang-google-api-dev | golang-googlecode-p-google-api-go-client-dev,
+    golang-google-grpc-dev,
+    golang-gopkg-eapache-go-resiliency.v1-dev,
+    golang-gopkg-eapache-queue.v1-dev,
     golang-gopkg-olivere-elastic.v2-dev,
-    golang-google-grpc-dev,
+    golang-goprotobuf-dev | golang-github-golang-goprotobuf-dev,
     golang-go-zfs-dev,
-    golang-github-coreos-pkg-dev,
-    golang-github-blang-semver-dev,
-    golang-github-docker-go-connections-dev
+    golang-procfs-dev,
+    golang-prometheus-client-dev,
+    golang-protobuf-extensions-dev,
 Description: analyze resource usage and performance of running containers
  cAdvisor (Container Advisor) provides container users an understanding of
  the resource usage and performance characteristics of their running
@@ -125,7 +131,10 @@
 
 Package: cadvisor
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, libjs-bootstrap, libjs-jquery (>= 1.11.3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+    ,libjs-bootstrap
+    ,libjs-jquery (>= 3.3.1~)
+    ,libjs-popper.js
 Built-Using: ${misc:Built-Using} ${my:Built-Using}
 Description: analyze resource usage and performance characteristics of running containers
  cAdvisor (Container Advisor) provides container users an understanding of

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	dh_clean $(STATIC_PAGES)
 	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
 	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
+	-find vendor -mindepth 1 -type d -empty -delete -printf 'removed %p\n'
 
 override_dh_auto_configure:
 	build/assets.sh
@@ -64,4 +65,3 @@
 	printf "const jqueryJs = \`\n" >>$@
 	cat /usr/share/javascript/jquery/jquery.min.js >>$@
 	printf "\`\n" >>$@
-
